package com.management.platform.controller;


import com.management.platform.entity.Report;
import com.management.platform.service.ReportService;
import com.management.platform.util.HttpRespMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-31
 */
@RestController
@RequestMapping("/report")
public class ReportController {
    @Autowired
    private ReportService reportService;

    /**
     * 根据时间 按照人分类 获取报告信息
     * date 日期 格式yyyy-mm-dd
     */
    @RequestMapping("/getReportList")
    public HttpRespMsg getReportList(@RequestParam String date) {
        return reportService.getReportList(date);
    }

    /**
     * 新增或编辑报告
     * id 报告id 编辑时传
     * creatorId 报告上传者id 新增时不可为空
     * projectId 报告相关项目id 新增时不可为空
     * createDate 报告创建时间 新增时不可为空 yyyy-MM-dd
     * workingTime 工作时间
     * content 工作内容
     */
    @RequestMapping("/editReport")
    public HttpRespMsg editReport(Report report) {
        return reportService.editReport(report);
    }

    /**
     * 删除报告
     * id 要删除的报告的id
     */
    @RequestMapping("/deleteReport")
    public HttpRespMsg deleteReport(@RequestParam Integer id) {
        return reportService.deleteReport(id);
    }
}

